> For the complete documentation index, see [llms.txt](https://docs.jasperapp.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jasperapp.io/reference/system-stream.md).

# System Stream

System Stream is the system's built-in stream that generates queries dynamically; to use System Stream, go to `Menu → Preferences → Streams` and enable it.

![](/files/-MIBrCkOISBS683B3pAK)

| System Stream        | description                                          |
| -------------------- | ---------------------------------------------------- |
| `Team Stream`        | Issues on GitHub where your team mentioned           |
| `Watching Stream`    | Issues in the repositories you're watching on GitHub |
| `Subscription Issue` | Individually registered issues                       |

The `Team Stream` allows you to get the teams you belong to on GitHub and handle issues where they are mentioned. When you join a new team, the team will be added automatically.

The `Watching Stream` can retrieve repositories that you have watched on GitHub and handle issues in those repositories. When you watch a new repository, it will automatically add it to your repository.

The `Subscription Stream` provides the ability to handle individually registered issues. Register the URL of the issue from the `Subscription Stream` menu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jasperapp.io/reference/system-stream.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
